const CourierNew_7x10 = require('./../lib/constants/fonts/CourierNew_7x10');
const OLED = require('./../lib/I2C/SSD1306/SSD1306');
const SPEED = 150;

(function main() {
    OLED.init();
    intro();
})();

async function intro() {
    let buffer;
    OLED.clear();

    buffer = "FORUM.ATNEL.PL/";
    for (let i = 0; i <= buffer.length; i++) {
        OLED.drawText(5, 6, CourierNew_7x10, buffer.slice(0, i), 1);
        OLED.update();
        await sleep(SPEED);
    }

    buffer = "TOPIC20804.HTML";
    for (let i = 0; i <= buffer.length; i++) {
        OLED.drawText(5, 16, CourierNew_7x10, buffer.slice(0, i), 1);
        OLED.update();
        await sleep(SPEED);
    }

    buffer = "BASED ON:";
    for (let i = 0; i <= buffer.length; i++) {
        OLED.drawText(0, 35, CourierNew_7x10, buffer.slice(0, i), 1);
        OLED.update();
        await sleep(SPEED);
    }

    buffer = "NODE.JS";
    for (let i = 0; i <= buffer.length; i++) {
        OLED.drawText(70, 45, CourierNew_7x10, buffer.slice(0, i), 1);
        OLED.update();
        await sleep(SPEED);
    }
}

function sleep(ms) {
    return new Promise(resolve => setTimeout(resolve, ms));
}
